#!/bin/bash
SQL_IP="127.0.0.1"
SQL_PORT="3306"
DB=dictionariesAll
USER=netroot
PASS=netroot

if [ "$#" -ne 1 ];then
	echo "Usage: $0 <sql dump file>"
	exit -1;
fi

SQL_DUMP=$1

if [ -z $SQL_PORT ]; then
	echo "Error: port is empty"
	exit -1;
fi

if [ -z $SQL_IP ]; then
	echo "Error: ip is empty"
	exit -1;
fi

if [ -z $DB ]; then
	echo "Error: DB is empty"
	exit -1;
fi

if [ -f tablelist ]; then
    t=$(cat tablelist)
    if [ ! -z "$t" ]; then
	cat $SQL_DUMP > $SQL_DUMP.do
	echo "SET NAMES utf8;" > $SQL_DUMP.tmp
	while IFS='' read -r line || [[ -n "$line" ]]; do
	    echo "Load table: $line" 
	    res=$(cat $SQL_DUMP.do | grep -E "DELETE FROM \`$line\`|INSERT INTO \`$line\`")
	    if [ -z "$res" ]; then
	        echo "Warning: Table "$line "not found in dump"
	    else
    		echo "$res" >> $SQL_DUMP.tmp
	    fi
	done < tablelist
	cat $SQL_DUMP.tmp > $SQL_DUMP.do
	rm -f $SQL_DUMP.tmp
    else
	echo "Error: file tablelist is empty!"
	exit -1;
    fi
else
    echo "Error: file tablelist not found"
    exit -1;
fi

if [ ! -f $SQL_DUMP.do ]; then
	echo "Error: file $SQL_DUMP.do not found, something wrong.."
	exit -1;
fi

res=$(mysql -h $SQL_IP -P $SQL_PORT -u $USER -p$PASS -D $DB -f < $SQL_DUMP.do 2>&1)

if [ -z "$res" ]; then
    rm -f $SQL_DUMP.do
fi
echo $res
echo "Load "$SQL_DUMP "to -" $SQL_IP":"$SQL_PORT", DB - " $DB " - done!"
